%define rname Cairo
%define modname cairo
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A98_%{modname}.ini

Summary:	Cairo Graphics Library Extension
Name:		php-%{modname}
Version:	0.3.2
Release:	%mkrel 11
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/Cairo/
Source0:	http://pecl.php.net/get/%{rname}-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	pkgconfig
BuildRequires:	cairo-devel >= 1.4
# share the same symbol table, one cannot be loaded when the other is in
Conflicts: php-cairo_wrapper

%description
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, Quartz, Win32,
image buffers, PostScript, PDF, and SVG file output.

%prep

%setup -q -n %{rname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS IGNORED README SYMBOLS TODO package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog

* Wed Jan 30 2013 oden <oden> 0.3.2-11.mga3
+ Revision: 393251
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.3.2-10.mga3
+ Revision: 375720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 15 2012 spuhler <spuhler> 0.3.2-9.mga3
+ Revision: 271095
- Ooops, wrong version
- upgrade to 0.3.2

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.2.0-9.mga2
+ Revision: 223869
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.2.0-8.mga2
+ Revision: 185090
- rebuild against php-5.3.9
  upgrade to 1.0.2

  + misc <misc>
    - fix usage when both php-cairo and php-cairo_wrapper are installed,
      as this result in a crash of the web server

* Sun Feb 06 2011 spuhler <spuhler> 0.2.0-6.mga1
+ Revision: 47752
- removed buildroot definition from .spec
- imported package php-cairo

